Impossible to install quick start M2 version

Hi,
I tried to install M2 quick start package of Megamall theme or Sportsgear (same problem) each time the installation block on the Readiness check (cf screenshot 1).
It is like the installation via this pack did not take SSL into account.
I tried to get past the problem by adding “”disable-tls”: true” in composer.json file so I can install the theme without new issue except I am not able to install extension or update M2 from backend (cf screenshot 2).
I tried to install only M2 and there I did not encounter blocking / installation problem.
I therefore conclude that this does not come from the server configuration or the PHP version (7.0.23).
Any idea on why the quick start installation does not take into account the SSL certificate?


					

7 answers

Profile photo of Mall Staff 87160.00 $tone September 28, 2017
Public

Hi there,

Any idea on why the quick start installation does not take into account the SSL certificate?

This does not relate to the Quickstart data. This seems your server missed some requirements with PHP’s settings.

Kindly check your server settings again to make sure your server meets all Magento 2 requirements, as noted in this post.
Regards,
Mall.

#1
Profile photo of Mall Staff 87160.00 $tone September 28, 2017
Public

Hi there,
I’d like to clarify in more details below: 

 but here you will find the Megamall quickstart package and if you try to install you will see “readiness” issue.

I have checked further in that instance and see the root of issue as follows:

Cannot determine required PHP extensions: Warning: is_dir(): open_basedir restriction in effect…

From your post above, I see you’ve solved that issue with a workaround as per this post:
https://community.magento.com/t5/Installing-Magento-2/Install-2-1-0-Your-PHP-version-is-The-required-PHP-version-is/td-p/43400
And as you can see that issue does not relate to our Megamall Quickstart.

except I am not able to install extension or update M2 from backend (cf screenshot 2).

Actually, this relates to the core functions of Magento instead.

Any idea on why the quick start installation does not take into account the SSL certificate?

I think that issue relates to the SSL settings in your server. You could learn more via this post:
https://community.magento.com/t5/Installing-Magento-2/Install-2-1-0-Your-PHP-version-is-The-required-PHP-version-is/m-p/43622#M1922
https://artodeto.bazzline.net/archives/893-howto-php-composer-Fileetcpkitlscerts-is-not-within-the-allowed-paths-on-arch-linux.html
Regards,
Mall.
 
 

#3
Profile photo of ALAIN DEMOUCHY 360.00 $tone September 28, 2017
Public

Thank you for your answer but the 2 last links didn’t help.
Let me know one thing if I buy your installation service will you be able to fix it?
And will you have the possibility to precise what you have done?
Regards
 

#4
Profile photo of ubdev Staff 20060.00 $tone September 29, 2017
Public

Hi there, 
This associates with your server side, please contact your hosting provider for better help on this. 
Thanks for your understanding.
Regards,
Ubertheme team

#5
Profile photo of ALAIN DEMOUCHY 360.00 $tone September 29, 2017
Public

I think you’re right, I understood that I do not have to renew my developer package with your company at the end of this year.
I had not already appreciated your message telling me 8 months after buying what was and especially what was not included in the developer package regarding M2 but this time it became clear that your only goal is to sell your packages and its many “derivatives” … in other words take your customers for pigeons!

#6
Profile photo of An Nguyen Staff 5690.00 $tone September 29, 2017
Public

Hi there,
It’s not that we are not willing to provide you support. Yet, due to our long queue of tickets everyday, we can provide technical assistance for the bugs, issues of our products only. As explained in our previous reply, your case relates to the server side issues though.
Regarding Developer membership, it took us huge resources to develop Magento 2 products for a long time before M2 was ready with stable release, hence all M2 products could not be released as part of Developer subscription.
Anyway, we’re about to apply changes to Developer membership soon. we will announce details of change once the plan is final.
Thanks for your understanding.
Sincerely,
Ubertheme team

#7

Please login or Register to Submit Answer

Written By

Comments